Skip to main content
GET
/
order
/
{id}
Get Order
curl --request GET \
  --url https://uat-api.clinkbill.com/api/order/{id} \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-Timestamp: <api-key>'
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "orderId": "<string>",
    "merchantReferenceId": "<string>",
    "invoiceId": "<string>",
    "customerId": "<string>",
    "createTime": 1754819711382,
    "productId": "<string>",
    "priceId": "<string>",
    "priceDataList": [
      {
        "name": "<string>",
        "unitAmount": 1,
        "quantity": 2,
        "currency": "<string>",
        "imageUrl": "<string>"
      }
    ],
    "paymentMethod": {
      "paymentMethodType": "CARD",
      "paymentInstrumentId": "<string>"
    },
    "amountSubtotal": 9.99,
    "amountTotal": 9.99,
    "paymentCurrency": "USD",
    "originalCurrency": "USD",
    "status": "success",
    "sessionId": "<string>",
    "metadata": {}
  }
}

Authorizations

X-API-KEY
string
header
required

Your secret API key obtained from the Clink dashboard (Developers section)

X-Timestamp
string
header
required

Current timestamp in milliseconds since Unix epoch (required for request signing)

Path Parameters

id
string
required

Unique identifier of the order

Response

Order details retrieved successfully

code
integer<int32>
msg
string
data
object